Skip to main content
POST
openai generate async
A unified entry point for image creation. The backend service automatically determines the action based on the request body:
  • Text-to-Image: If the image field is absent or null, it performs text-to-image generation.
  • Image Editing: If the image field is present, it performs image editing based on the provided image.

Body

application/json
prompt
string
required

prompt

Minimum string length: 1
model
enum<string>
required

model

Available options:
gpt-image-2
quality
enum<string>
default:auto
required

quality grade

Available options:
auto,
low,
medium,
high,
standard
size
enum<string>
default:1024x1024

image size, ① Single side ≤ 3840 px; ② Both width and height are multiples of 16; ③ Long side : short side ≤ 3:1; ④ Total pixels ∈ [655,360, 8,294,400]. Requests that do not meet the constraints or are not supported by the channel for custom sizes will be rejected

Available options:
auto,
1024x1024,
1024x1536,
1536x1024,
2048x2048,
2048x1152,
3840x2160,
2160x3840
n
integer<int32>

Generation quantity (currently only supports 1)

background
enum<string>

background transparency

Available options:
transparent,
opaque,
auto
outputFormat
enum<string>

Output file format

Available options:
png,
jpeg,
webp
outputCompression
integer<int32>

JPEG/WebP compression level 0-100

moderation
enum<string>

Audit intensity

Available options:
auto,
low
responseFormat
enum<string>

Response format (compatible with DALL · E; The gpt image series always returns b64_json)

Available options:
url,
b64_json
inputFidelity
enum<string>

Input image fidelity (newly added in gpt-image-2, only effective for editing scenes); Generate can be ignored)

Available options:
high,
low
image
string[]

Enter an image (URL or base64 data URL). If provided, go through image editing; If not provided, use text and images. Support single or multiple sheets

mask
string

mask image (only for editing scenes, URL or base64 data URL); transparent areas will be redrawn

Response

200 - */*

OK

Unified return structure for response results

code
integer<int32>

Response status code

Example:

200

message
string

Response message

data
object

Response result

traceId
string

Response traceId